(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     19985,        590]
NotebookOptionsPosition[     17308,        536]
NotebookOutlinePosition[     17733,        553]
CellTagsIndexPosition[     17690,        550]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pp", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"x", "-", "a"}], ")"}], "2"], "-", "b"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "1", ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "1", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"test", "[", "p_", "]"}], " ", ":=", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rr", " ", "=", " ", 
       RowBox[{"x", " ", "/.", " ", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"p", "\[Equal]", "0"}], ",", "x"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"!", 
        RowBox[{"IntegerQ", "[", 
         RowBox[{"rr", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}]}], " ", "&&", " ", 
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{
          RowBox[{"rr", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"rr", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ">", "3"}]}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"modify", "[", "p_", "]"}], " ", ":=", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rr", " ", "=", " ", 
       RowBox[{"x", " ", "/.", " ", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"p", "\[Equal]", "0"}], ",", "x"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"m", " ", "=", " ", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Floor", "[", 
           RowBox[{"Min", "[", "rr", "]"}], "]"}], ",", 
          RowBox[{"Floor", "[", 
           RowBox[{"Max", "[", "rr", "]"}], "]"}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Expand", "[", 
       RowBox[{"p", "*", 
        RowBox[{"(", 
         RowBox[{"x", "-", "m"}], ")"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TeXForm", "/@", 
  RowBox[{"modify", " ", "/@", " ", 
   RowBox[{"Select", "[", 
    RowBox[{"pp", ",", "test"}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.837977983499042*^9, 3.837978029519782*^9}, {
  3.8379780964718*^9, 3.837978097611577*^9}, {3.8379782706252613`*^9, 
  3.837978292607024*^9}, {3.837978797254331*^9, 3.837978819780916*^9}, {
  3.8379798690400248`*^9, 3.83797992305354*^9}, {3.837979962653284*^9, 
  3.837979985148469*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"2224d172-847a-4910-a7dd-038abcd4f29a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    InterpretationBox["\"\<x^3-4 x^2+2 x+4\>\"",
     TeXForm[4 + 2 $CellContext`x - 4 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-2 x^2-4 x\>\"",
     TeXForm[(-4) $CellContext`x - 2 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-4 x^2+x\>\"",
     TeXForm[$CellContext`x - 4 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-8 x^2+15 x+4\>\"",
     TeXForm[4 + 15 $CellContext`x - 8 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-7 x^2+12 x-6\>\"",
     TeXForm[-6 + 12 $CellContext`x - 7 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-6 x^2+4 x\>\"",
     TeXForm[4 $CellContext`x - 6 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-10 x^2+29 x-26\>\"",
     TeXForm[-26 + 29 $CellContext`x - 10 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-9 x^2+19 x-11\>\"",
     TeXForm[-11 + 19 $CellContext`x - 9 $CellContext`x^2 + $CellContext`x^3],
     
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-13 x^2+52 x-66\>\"",
     TeXForm[-66 + 52 $CellContext`x - 13 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True], ",", 
    InterpretationBox["\"\<x^3-12 x^2+40 x-40\>\"",
     TeXForm[-40 + 40 $CellContext`x - 12 $CellContext`x^2 + $CellContext`x^3],
     AutoDelete->True,
     Editable->True]}], "}"}], " "}]], "Input",
 CellChangeTimes->{{3.837979993963523*^9, 
  3.837979993966064*^9}},ExpressionUUID->"e160d7ba-e317-4286-9d41-\
ba2f2396a4e4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Max", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Max", "[", 
     RowBox[{"N", "[", 
      RowBox[{"x", "/.", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"p", "\[Equal]", "0"}], ",", "x"}], "]"}]}], "]"}], "]"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"p", ",", "pp"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.837980080079712*^9, 3.8379801870099487`*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"af5596e0-d952-4a69-b51b-bc1c3b1dcf7d"],

Cell[BoxData["7.23606797749979`"], "Output",
 CellChangeTimes->{{3.837980121118053*^9, 3.837980187554949*^9}},
 CellLabel->"Out[70]=",ExpressionUUID->"29e5755a-5207-4d6e-8e1a-c80e6940a58c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "@", "%"}]], "Input",
 CellChangeTimes->{{3.837979928301441*^9, 3.837979947268334*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"59fa9005-e866-40dd-8ed9-6db05872ea39"],

Cell[BoxData["10"], "Output",
 CellChangeTimes->{{3.8379799303156443`*^9, 3.8379799478124638`*^9}},
 CellLabel->"Out[49]=",ExpressionUUID->"9d0e191f-e32e-46d5-93c3-45145b226d80"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Select", "[", 
  RowBox[{"pp", ",", 
   RowBox[{
    RowBox[{"!", 
     RowBox[{"IntegerQ", "[", 
      RowBox[{"x", "/.", 
       RowBox[{"First", "[", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"#", "\[Equal]", "0"}], ",", "x"}], "]"}], "]"}]}], "]"}]}],
     "&"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.837978660783313*^9, 3.837978663698862*^9}, {
  3.837978727737795*^9, 3.8379787485206757`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"14f7db7c-f838-46da-a8b6-4e82d41617a4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "5"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "5"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "5"}], "+", "x"}], ")"}], "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.83797873868285*^9, 3.837978749885355*^9}, {
  3.83797880259422*^9, 3.837978821707728*^9}},
 CellLabel->"Out[5]=",ExpressionUUID->"d8652bcd-fb4b-41d2-aa16-496935758727"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Select", "[", 
  RowBox[{"pp", ",", "test"}], "]"}]], "Input",
 CellChangeTimes->{{3.837978966655507*^9, 3.837978969862667*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"c9fa195c-d2bb-42e1-b8f9-1b0b834253d3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "5"}], "+", "x"}], ")"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "5"}], "+", "x"}], ")"}], "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.837978970503189*^9, {3.8379794360370073`*^9, 3.837979450441292*^9}},
 CellLabel->"Out[19]=",ExpressionUUID->"9f9d8ade-8584-4614-9d2b-44231dc7b530"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.837978758479507*^9, 3.837978760493491*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"fb0e796b-1550-4738-bbbc-ca6d17eb33eb"],

Cell[BoxData["10"], "Output",
 CellChangeTimes->{
  3.837978761695819*^9, 3.837978822898301*^9, 3.837978972102456*^9, {
   3.837979437728592*^9, 3.837979452469544*^9}},
 CellLabel->"Out[20]=",ExpressionUUID->"b928732a-4425-4137-99d7-a1f7edf1f7ed"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.837979473502162*^9, 3.837979522512196*^9}, {
   3.837979572306851*^9, 3.837979664420308*^9}, {3.837979700787909*^9, 
   3.837979717193768*^9}, 
   3.837979878707745*^9},ExpressionUUID->"e2149628-95ca-4c94-aeba-\
90b299841fc1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"modify", "[", 
  RowBox[{"pp", "[", 
   RowBox[{"[", "5", "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.837979669228827*^9, 3.83797968951655*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"80545230-3402-4016-a18c-7ceee9eea73c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "4"}], "-", 
  RowBox[{"6", " ", "x"}], "-", 
  SuperscriptBox["x", "2"], "+", 
  SuperscriptBox["x", "3"]}]], "Output",
 CellChangeTimes->{{3.837979680311043*^9, 3.837979724435349*^9}},
 CellLabel->"Out[30]=",ExpressionUUID->"21738ac9-60c8-470a-bfc0-0da285305e0b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"test", " ", "/@", " ", "pp"}]], "Input",
 CellChangeTimes->{{3.8379789527910137`*^9, 3.837978954860096*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"a9084ec3-f6b4-44dc-8ff2-40c0886e1227"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "False", ",", "True", ",", "True", ",", "False", ",", "True", ",", "False", 
   ",", "True", ",", "True", ",", "False", ",", "True", ",", "False", ",", 
   "True", ",", "True", ",", "False", ",", "True", ",", "False", ",", "True", 
   ",", "True", ",", "False", ",", "True", ",", "False", ",", "True", ",", 
   "True", ",", "False", ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{3.837978955972434*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"1fc0b2b1-83eb-4d0f-8c93-eafc2b612d93"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Position", "[", 
  RowBox[{
   RowBox[{"Position", "[", 
    RowBox[{
     RowBox[{"First", " ", "/@", " ", 
      RowBox[{"(", 
       RowBox[{"x", "/.", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Solve", "[", 
           RowBox[{
            RowBox[{"p", "\[Equal]", "0"}], ",", "x"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"p", ",", "pp"}], "}"}]}], "]"}]}], ")"}]}], ",", 
     "_Integer"}], "]"}], ",", 
   RowBox[{"_", "?", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "#", "]"}], "\[Equal]", "1"}], "&"}], ")"}]}]}],
   "]"}]], "Input",
 CellChangeTimes->{{3.837978030876583*^9, 3.837978076934246*^9}, {
  3.837978319473742*^9, 3.8379784335149117`*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"7bbaac9f-896a-48ce-b2af-7070d767a108"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "1", "}"}], ",", 
   RowBox[{"{", "2", "}"}], ",", 
   RowBox[{"{", "9", "}"}], ",", 
   RowBox[{"{", "13", "}"}], ",", 
   RowBox[{"{", "14", "}"}], ",", 
   RowBox[{"{", "21", "}"}], ",", 
   RowBox[{"{", "25", "}"}], ",", 
   RowBox[{"{", "26", "}"}], ",", 
   RowBox[{"{", "33", "}"}], ",", 
   RowBox[{"{", "37", "}"}], ",", 
   RowBox[{"{", "38", "}"}], ",", 
   RowBox[{"{", "45", "}"}], ",", 
   RowBox[{"{", "49", "}"}], ",", 
   RowBox[{"{", "50", "}"}], ",", 
   RowBox[{"{", "57", "}"}], ",", 
   RowBox[{"{", "61", "}"}], ",", 
   RowBox[{"{", "62", "}"}], ",", 
   RowBox[{"{", "67", "}"}], ",", 
   RowBox[{"{", "70", "}"}], ",", 
   RowBox[{"{", "71", "}"}], ",", 
   RowBox[{"{", "78", "}"}], ",", 
   RowBox[{"{", "82", "}"}], ",", 
   RowBox[{"{", "83", "}"}], ",", 
   RowBox[{"{", "90", "}"}], ",", 
   RowBox[{"{", "94", "}"}], ",", 
   RowBox[{"{", "95", "}"}], ",", 
   RowBox[{"{", "102", "}"}], ",", 
   RowBox[{"{", "106", "}"}], ",", 
   RowBox[{"{", "107", "}"}], ",", 
   RowBox[{"{", "114", "}"}], ",", 
   RowBox[{"{", "118", "}"}], ",", 
   RowBox[{"{", "119", "}"}], ",", 
   RowBox[{"{", "126", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.837978057900156*^9, 3.837978099966064*^9}, {
   3.837978282571466*^9, 3.837978360468936*^9}, 3.8379783927315207`*^9, 
   3.837978434994062*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"5be6ff97-993c-49e6-8241-4ddcb6c01903"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RandomInteger", "[", 
  RowBox[{"{", 
   RowBox[{"E", ",", "Pi"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.837979191270308*^9, 3.837979202241169*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"a24e09dd-a51a-44f8-beb1-caf66909f650"],

Cell[BoxData[
 TemplateBox[{
  "RandomInteger", "unifr", 
   "\"The endpoints specified by \\!\\(\\*RowBox[{\\\"{\\\", RowBox[{\\\"\
\[ExponentialE]\\\", \\\",\\\", \\\"\[Pi]\\\"}], \\\"}\\\"}]\\) for the \
endpoints of the discrete uniform distribution range are not integers.\"", 2, 
   11, 1, 18476412672788980258, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.8379792033126917`*^9},
 CellLabel->
  "During evaluation of \
In[11]:=",ExpressionUUID->"a726f17e-2407-4e3f-b0a2-823a4faa139f"],

Cell[BoxData[
 RowBox[{"RandomInteger", "[", 
  RowBox[{"{", 
   RowBox[{"\[ExponentialE]", ",", "\[Pi]"}], "}"}], "]"}]], "Output",
 CellChangeTimes->{3.8379792034184217`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"8125c68a-7561-4f2a-8ba5-b7d9c35713d8"]
}, Open  ]]
},
WindowSize->{976, 942},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 for Mac OS X x86 (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"2d850344-3b80-44df-a57f-ea90fdfbca16"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2844, 79, 329, "Input",ExpressionUUID->"2224d172-847a-4910-a7dd-038abcd4f29a"],
Cell[3405, 101, 1975, 47, 140, InheritFromParent,ExpressionUUID->"e160d7ba-e317-4286-9d41-ba2f2396a4e4"],
Cell[CellGroupData[{
Cell[5405, 152, 510, 14, 46, "Input",ExpressionUUID->"af5596e0-d952-4a69-b51b-bc1c3b1dcf7d"],
Cell[5918, 168, 189, 2, 52, "Output",ExpressionUUID->"29e5755a-5207-4d6e-8e1a-c80e6940a58c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6144, 175, 199, 3, 46, "Input",ExpressionUUID->"59fa9005-e866-40dd-8ed9-6db05872ea39"],
Cell[6346, 180, 178, 2, 52, "Output",ExpressionUUID->"9d0e191f-e32e-46d5-93c3-45145b226d80"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6561, 187, 531, 14, 46, "Input",ExpressionUUID->"14f7db7c-f838-46da-a8b6-4e82d41617a4"],
Cell[7095, 203, 2584, 95, 120, "Output",ExpressionUUID->"d8652bcd-fb4b-41d2-aa16-496935758727"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9716, 303, 231, 4, 46, "Input",ExpressionUUID->"c9fa195c-d2bb-42e1-b8f9-1b0b834253d3"],
Cell[9950, 309, 1785, 65, 90, "Output",ExpressionUUID->"9f9d8ade-8584-4614-9d2b-44231dc7b530"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11772, 379, 204, 3, 46, "Input",ExpressionUUID->"fb0e796b-1550-4738-bbbc-ca6d17eb33eb"],
Cell[11979, 384, 247, 4, 52, "Output",ExpressionUUID->"b928732a-4425-4137-99d7-a1f7edf1f7ed"]
}, Open  ]],
Cell[12241, 391, 275, 5, 46, "Input",ExpressionUUID->"e2149628-95ca-4c94-aeba-90b299841fc1"],
Cell[CellGroupData[{
Cell[12541, 400, 256, 5, 46, "Input",ExpressionUUID->"80545230-3402-4016-a18c-7ceee9eea73c"],
Cell[12800, 407, 304, 7, 52, "Output",ExpressionUUID->"21738ac9-60c8-470a-bfc0-0da285305e0b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13141, 419, 210, 3, 46, "Input",ExpressionUUID->"a9084ec3-f6b4-44dc-8ff2-40c0886e1227"],
Cell[13354, 424, 527, 9, 115, "Output",ExpressionUUID->"1fc0b2b1-83eb-4d0f-8c93-eafc2b612d93"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13918, 438, 840, 24, 78, "Input",ExpressionUUID->"7bbaac9f-896a-48ce-b2af-7070d767a108"],
Cell[14761, 464, 1457, 39, 115, "Output",ExpressionUUID->"5be6ff97-993c-49e6-8241-4ddcb6c01903"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16255, 508, 259, 5, 46, "Input",ExpressionUUID->"a24e09dd-a51a-44f8-beb1-caf66909f650"],
Cell[16517, 515, 517, 11, 58, "Message",ExpressionUUID->"a726f17e-2407-4e3f-b0a2-823a4faa139f"],
Cell[17037, 528, 255, 5, 52, "Output",ExpressionUUID->"8125c68a-7561-4f2a-8ba5-b7d9c35713d8"]
}, Open  ]]
}
]
*)

