(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     10031,        310]
NotebookOptionsPosition[      9003,        277]
NotebookOutlinePosition[      9359,        293]
CellTagsIndexPosition[      9316,        290]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<FractalGeometry`IteratedFunctionSystems`\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.712848235557497*^9, 3.712848246202497*^9}, {
  3.712848648706517*^9, 
  3.7128486590218983`*^9}},ExpressionUUID->"56c595d7-9f1f-46d5-a9a8-\
1f574bba078a"],

Cell[CellGroupData[{

Cell["Iterating a set defined function", "Subsection",
 CellChangeTimes->{{3.712848471154745*^9, 
  3.712848480248279*^9}},ExpressionUUID->"a068b1ad-8667-4063-a8ce-\
dc0aae5335e3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "/", "2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IFS", " ", "=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"A", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"A", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "2"}], ",", "0"}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"A", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "4"}], ",", 
         RowBox[{
          RowBox[{"Sqrt", "[", "3", "]"}], "/", "4"}]}], "}"}]}], "}"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"init", " ", "=", " ", 
   RowBox[{"Polygon", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "/", "2"}], ",", 
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}]}], "}"}]}], "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"pic", " ", "=", " ", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"ShowIFS", "[", 
       RowBox[{"IFS", ",", "k", ",", " ", 
        RowBox[{"Initiator", "\[Rule]", "init"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", "3"}], "}"}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<geometric_iteration.pdf\>\"", ",", "pic"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<geometric_iteration.svg\>\"", ",", "pic"}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7128482508482122`*^9, 3.712848352967667*^9}, {
  3.712848383419201*^9, 3.712848388539112*^9}, {3.712848490044887*^9, 
  3.71284854051543*^9}, {3.712849415402389*^9, 
  3.712849421770742*^9}},ExpressionUUID->"29f4ba9a-2efa-4934-936a-\
35fcec57c116"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pic", " ", "=", " ", 
   RowBox[{"ShowIFS", "[", 
    RowBox[{"IFS", ",", "8", ",", " ", 
     RowBox[{"Initiator", "\[Rule]", "init"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<intro_sierpinski_triangle.png\>\"", ",", "pic", ",", " ", 
    RowBox[{"ImageSize", " ", "\[Rule]", " ", "800"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.7128485591473093`*^9, 3.712848614922429*^9}, {
  3.712848705702106*^9, 3.7128487090519876`*^9}, {3.71284920055838*^9, 
  3.7128492166467257`*^9}},ExpressionUUID->"cd1101c1-f58d-4934-9dcf-\
d5561a3adaef"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Barnsley fern", "Subsection",
 CellChangeTimes->{{3.7128495915714483`*^9, 
  3.712849596261397*^9}},ExpressionUUID->"a1248314-84cb-408a-bc45-\
ea204e7262a6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"barnsleyFernIFS", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{".85", ",", ".04"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".04"}], ",", ".85"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1.6"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".15"}], ",", ".28"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{".26", ",", ".24"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", ".44"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{".2", ",", 
           RowBox[{"-", ".26"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{".23", ",", ".22"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1.6"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", ".16"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"toFunction", "[", 
    RowBox[{"{", 
     RowBox[{"A_", ",", "b_"}], "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"A", ".", "#"}], "+", "b"}], "&"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"f1", ",", "f2", ",", "f3", ",", "f4"}], "}"}], "=", 
   RowBox[{"toFunction", "/@", "barnsleyFernIFS"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"tip", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}], "/.", 
    RowBox[{"First", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"f1", "[", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "]"}], "\[Equal]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"leftSide", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"f1", ",", 
     RowBox[{"f2", "[", "tip", "]"}], ",", "30"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"rightSide", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"f1", ",", 
     RowBox[{"f3", "[", "tip", "]"}], ",", "30"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"outline", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], "}"}], ",", "rightSide", ",", 
     RowBox[{"{", "tip", "}"}], ",", 
     RowBox[{"Reverse", "[", "leftSide", "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"init", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
     RowBox[{"Polygon", "[", "outline", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"init", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"EdgeForm", "[", 
      RowBox[{"Opacity", "[", "0.3", "]"}], "]"}], ",", 
     RowBox[{"Polygon", "[", "outline", "]"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{"pic", " ", "=", " ", 
  RowBox[{"ShowIFS", "[", 
   RowBox[{"barnsleyFernIFS", ",", "0.02", ",", 
    RowBox[{"Initiator", "\[Rule]", "init"}], ",", 
    RowBox[{"Colors", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Darker", "[", "Green", "]"}], ",", "Green", ",", "Green", ",",
        "Black"}], "}"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<intro_barnsley_fern.png\>\"", ",", " ", "pic", ",", " ", 
   RowBox[{"ImageSize", " ", "\[Rule]", " ", "600"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.712849597656499*^9, 3.712849671202201*^9}, {
  3.712849940774062*^9, 3.712849943148333*^9}, {3.712849992519627*^9, 
  3.712850018110519*^9}, {3.7128500593536167`*^9, 3.712850064259564*^9}, {
  3.712850195661487*^9, 
  3.712850211562166*^9}},ExpressionUUID->"5404cfa9-d3f5-4492-8dd4-\
15813c8fcf5d"],

Cell[BoxData["\<\"intro_barnsley_fern.png\"\>"], "Output",
 CellChangeTimes->{{3.712849629529173*^9, 3.7128496886479397`*^9}, 
   3.712849961151394*^9, {3.7128500012594213`*^9, 3.712850018669076*^9}, 
   3.71285006509519*^9, 3.71285019910496*^9, 
   3.7128502477505703`*^9},ExpressionUUID->"c5323662-6654-448c-ab44-\
624c396cd2f0"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1060, 483},
WindowMargins->{{87, Automatic}, {87, Automatic}},
FrontEndVersion->"11.1 for Mac OS X x86 (32-bit, 64-bit Kernel) (April 27, \
2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 411, 9, 54, "Input", "ExpressionUUID" -> \
"56c595d7-9f1f-46d5-a9a8-1f574bba078a"],
Cell[CellGroupData[{
Cell[994, 33, 180, 3, 44, "Subsection", "ExpressionUUID" -> \
"a068b1ad-8667-4063-a8ce-dc0aae5335e3"],
Cell[1177, 38, 2403, 72, 243, "Input", "ExpressionUUID" -> \
"29f4ba9a-2efa-4934-936a-35fcec57c116"],
Cell[3583, 112, 639, 15, 54, "Input", "ExpressionUUID" -> \
"cd1101c1-f58d-4934-9dcf-d5561a3adaef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4259, 132, 163, 3, 44, "Subsection", "ExpressionUUID" -> \
"a1248314-84cb-408a-bc45-ea204e7262a6"],
Cell[CellGroupData[{
Cell[4447, 139, 4194, 127, 264, "Input", "ExpressionUUID" -> \
"5404cfa9-d3f5-4492-8dd4-15813c8fcf5d"],
Cell[8644, 268, 331, 5, 32, "Output", "ExpressionUUID" -> \
"c5323662-6654-448c-ab44-624c396cd2f0"]
}, Open  ]]
}, Open  ]]
}
]
*)

